gtkmm: Gtk::TreeNodeConstChildren Class Reference

gtkmm 4.13.3

Public Types | Public Member Functions | List of all members
Gtk::TreeNodeConstChildren Class Reference
TreeView Classes

Typedefed as TreeModel::ConstChildren. More...

`#include <gtkmm/treeiter.h>`

Inheritance diagram for Gtk::TreeNodeConstChildren:
[legend]

## Public Types
using | value_type = Gtk::TreeConstRow
using | size_type = unsigned int
using | difference_type = int
using | const_iterator = Gtk::TreeIter< Gtk::TreeConstRow >

## Public Member Functions
const_iterator | begin () const
const_iterator | end () const
const value_type | operator[] (size_type index) const
size_type | size () const
bool | empty () const
| operator bool () const
| Discover whether this is a valid container. More...
Public Member Functions inherited from Gtk::TreeIterBase
| TreeIterBase (const TreeIterBase & other) noexcept
TreeIterBase & | operator= (const TreeIterBase & other) noexcept
| TreeIterBase (TreeIterBase && other) noexcept
TreeIterBase & | operator= (TreeIterBase && other) noexcept
| TreeIterBase ()
| TreeIterBase (const GtkTreeIter * gobject)
GtkTreeIter * | gobj ()
| Provides access to the underlying C instance. More...
const GtkTreeIter * | gobj () const
| Provides access to the underlying C instance. More...

## Additional Inherited Members
Static Public Member Functions inherited from Gtk::TreeIterBase
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Protected Attributes inherited from Gtk::TreeIterBase
GtkTreeIter | gobject_

## Detailed Description

Typedefed as TreeModel::ConstChildren.

Virtual container of TreeModel::ConstRow items.

TreeNodeConstChildren is a const version of TreeNodeChildren. TreeNodeConstChildren does not contain methods for modifying the underlying TreeModel.

See also
  TreeNodeChildren

Deprecated:
  4.10: Use Gio::ListModel instead.

## Member Typedef Documentation

## ◆ const_iterator

using Gtk::TreeNodeConstChildren::const_iterator = Gtk::TreeIter<Gtk::TreeConstRow>

## ◆ difference_type

using Gtk::TreeNodeConstChildren::difference_type = int

## ◆ size_type

using Gtk::TreeNodeConstChildren::size_type = unsigned int

## ◆ value_type

using Gtk::TreeNodeConstChildren::value_type = Gtk::TreeConstRow

## Member Function Documentation

## ◆ begin()

const_iterator Gtk::TreeNodeConstChildren::begin | ( |  | ) | const

## ◆ empty()

bool Gtk::TreeNodeConstChildren::empty | ( |  | ) | const

## ◆ end()

const_iterator Gtk::TreeNodeConstChildren::end | ( |  | ) | const

## ◆ operator bool()

Gtk::TreeNodeConstChildren::operator bool | ( |  | ) | const
| inlineexplicit

Discover whether this is a valid container.

For instance,

if (children)
do_something();

Since gtkmm 3.22:

## ◆ operator[]()

const value_type Gtk::TreeNodeConstChildren::operator[] | ( | size_type | index | ) | const

## ◆ size()

size_type Gtk::TreeNodeConstChildren::size | ( |  | ) | const